Bug 484299 - Icons drawn incorrectly in WindowMaker dialogues
Icons drawn incorrectly in WindowMaker dialogues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 17:34 EST by Martin Burchell
Modified: 2009-07-14 13:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Exit dialogue (17.90 KB, image/png)
2009-02-05 17:34 EST, Martin Burchell
no flags Details
xorg.conf (635 bytes, text/plain)
2009-02-16 12:34 EST, Martin Burchell
no flags Details
Xorg.0.log when using previously attached xorg.conf (20.75 KB, text/plain)
2009-02-16 12:36 EST, Martin Burchell
no flags Details
Xorg.0.log when using no xorg.conf (23.75 KB, text/plain)
2009-02-16 12:37 EST, Martin Burchell
no flags Details

  None (edit)
Description Martin Burchell 2009-02-05 17:34:42 EST
Created attachment 331060 [details]
Screenshot of Exit dialogue

Description of problem:
When a Window Maker dialogue appears, such as the Exit or Error dialogue, icons that are drawn on buttons and tick boxes appear as black blobs

Version-Release number of selected component (if applicable):
WindowMaker-0.92.0-18.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Start Window Maker
2. Exit
3. The Exit dialogue appears
  
Actual results:
The tick box and Exit button have black blobs on them

Expected results:
The icons are drawn as they should be eg arrow on exit button, tick in tick-box

Additional info:
Screenshot of Exit dialogue attached

I'd be interested if anyone else has seen this.  I'm not sure if this is a Window Maker problem, particularly as X (intel driver) seems to be very sluggish following a clean install of Fedora 9.

Also confirmed bug exists with fresh GNUStep directory.
Comment 1 Martin Burchell 2009-02-05 18:30:53 EST
The problem goes away when I add the following line to my xorg.conf:

Option      "AccelMethod" "XAA"
Comment 2 Andreas Bierfert 2009-02-06 11:37:32 EST
I have not seen this anywhere yet but I know that some intel gfx drivers are a bit broken. If XAA fixes it for you it is not a windowmaker issue but a problem of the graphics driver. Which driver are you using? Or what intel card?
Comment 3 Martin Burchell 2009-02-06 17:32:41 EST
I'm using the "intel" driver.  With Fedora 8 I was using the "i810" driver, which doesn't work in F9.  I guess XAA was the default on F8.

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03)

I agree, probably a graphics driver issue rather than Window Maker.  I hit on the XAA fix when I was looking for a solution to another problem, which turned out to fix this as well.
Comment 4 Martin Burchell 2009-02-15 12:55:01 EST
Also fixed with these options:
	Option "AccelMethod" "exa"
	Option "ExaNoComposite" "true"
	Option "MigrationHeuristic" "greedy"
Comment 5 Matěj Cepl 2009-02-16 12:03:23 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Martin Burchell 2009-02-16 12:34:13 EST
Created attachment 332064 [details]
xorg.conf
Comment 7 Martin Burchell 2009-02-16 12:36:17 EST
Created attachment 332065 [details]
Xorg.0.log when using previously attached xorg.conf
Comment 8 Martin Burchell 2009-02-16 12:37:26 EST
Created attachment 332067 [details]
Xorg.0.log when using no xorg.conf
Comment 9 Bug Zapper 2009-06-09 23:32:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:46:48 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.